/*
 * Projeto:
 * Data:
 * Descrição:
 * Autores:
 */


int pino_sensor_de_chuva = A5; //Pino Ligado Ao A0 Do Sensor
int valor_sensor_de_chuva = 0; //Armazena O Valor Lido Do Pino Analogico

// Portas Ligadas Aos Leds
int pino_led_azul = 5;
int pino_led_amarelo = 7;
int pino_led_vermelho = 6;


void setup() {
  // Define Os Pinos Do Sensor Como Entrada
  pinMode(pino_sensor_de_chuva, INPUT);

  // Define Os Pinos Dos Leds Como Saida
  pinMode(pino_led_azul, OUTPUT);
  pinMode(pino_led_amarelo, OUTPUT);
  pinMode(pino_led_vermelho, OUTPUT);
  Serial.begin(9600);
}


void loop() {

  //Le E Armazena O Valor Do Pino Analogico
  valor_sensor_de_chuva =  analogRead(pino_sensor_de_chuva);
  //Envia As Informacoes Para O Serial Monitor
  Serial.print(" - Valor Analogico : ");
  Serial.println(valor_sensor_de_chuva);

  // Acende O Led De Acordo Com A Intensidade
  if (valor_sensor_de_chuva > 900 && valor_sensor_de_chuva < 1024)
  {
    // Acende Led azul - Intensidade Baixa
    digitalWrite(pino_led_azul, HIGH);
    digitalWrite(pino_led_amarelo, LOW);
    digitalWrite(pino_led_vermelho, LOW);
  }
  if (valor_sensor_de_chuva > 400 && valor_sensor_de_chuva < 900)
  {
    // Acende Led Amarelo - Intensidade Moderada
    digitalWrite(pino_led_azul, LOW);
    digitalWrite(pino_led_amarelo, HIGH);
    digitalWrite(pino_led_vermelho, LOW);
  }
  if (valor_sensor_de_chuva > 0 && valor_sensor_de_chuva < 400)
  {
    // Acende Led Vermelho - Intensidade Alta
    digitalWrite(pino_led_azul, LOW);
    digitalWrite(pino_led_amarelo, LOW);
    digitalWrite(pino_led_vermelho, HIGH);
  }
  delay(1000);
}
