/*
   Projeto:Varal 
   Data: 22/10/2019
   Descrição: Programação do projeto
   Autores:Julia (programação varal)
*/


int pino_sensor_de_chuva = A5; //Pino Ligado Ao A0 Do Sensor
int valor_sensor_de_chuva = 0; //Armazena O Valor Lido Do Pino Analogico


// Portas Ligadas Aos Motores Na Ponte H L298N
int IN1 = 8;
int IN2 = 9;
int IN3 = 10;
int IN4 = 11;

int tempo = 10;


void setup() {
  // Define Os Pinos Do Sensor Como Entrada
  pinMode(pino_sensor_de_chuva, INPUT);

  Serial.begin(9600);
  //Define os pinos como saida
  pinMode(IN1, OUTPUT);
  pinMode(IN2, OUTPUT);
  pinMode(IN3, OUTPUT);
  pinMode(IN4, OUTPUT);
  //Para o motor A
  digitalWrite(IN1, HIGH);
  digitalWrite(IN2, HIGH);
  //Para o motor B
  digitalWrite(IN3, HIGH);
  digitalWrite(IN4, HIGH);
}


void loop() {

  //Le E Armazena O Valor Do Pino Analogico
  valor_sensor_de_chuva =  analogRead(pino_sensor_de_chuva);
  //Envia As Informacoes Para O Serial Monitor
  Serial.print(" - Valor Analogico : ");
  Serial.println(valor_sensor_de_chuva);

  if (valor_sensor_de_chuva > 400 && valor_sensor_de_chuva < 1024)
  {
    // Nivel De Chuva Baixo
    //Para o motor A
    digitalWrite(IN1, HIGH);
    digitalWrite(IN2, HIGH);

    //Para o motor B
    digitalWrite(IN3, HIGH);
    digitalWrite(IN4, HIGH);
  }
  else if (valor_sensor_de_chuva > 0 && valor_sensor_de_chuva < 400)
  {
    Serial.println("Puxando motores");
    // Nivel De Chuva Alto
    //Gira o Motor A no sentido anti-horario
    digitalWrite(IN1, LOW);
    digitalWrite(IN2, HIGH);
    delay(10);
    //Gira o Motor B no sentido anti-horario
    digitalWrite(IN3, LOW);
    digitalWrite(IN4, HIGH);
    delay(10);// Valor Teste Deve Ser Testado Se Recolhe Toda Roupa
  }
  delay(1000);// 1 minuto

  /*
   //Gira o Motor A no sentido horario
 digitalWrite(IN1, HIGH);
 digitalWrite(IN2, LOW);
  //Gira o Motor B no sentido horario
 digitalWrite(IN3, HIGH);
 digitalWrite(IN4, LOW);
   */
  
}
